Help, please. I have a HP iPAQ 5555 with Pocket PC 2003 which includes Pocket Internet Explorer. I just got high speed internet cable in my neighborhood through Comcast. When I try to log on to Comcast with my iPAQ at my local WiFi hotspot, I get a message telling me that I'm trying to log in with an older version of Internet Explorer and that I need to upgrade to Internet Explorer 6.1.

1) Is that an option for my iPAQ and, if so, how?

2) what are my options, if any, to get on to Comcast with my iPAQ?

Thanks,

Bob